<?php
/**
 * Configuration entries for this application only
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0
 * @copyright	Copyright (c) 2015 City Developer Team
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Some hub-specific configuration like port hostname where we will listen, etc.
$cfg = FrameworkConfiguration::getSelfInstance();

/******************************************************************************
 *                                  General                                   *
 ******************************************************************************/

// CFG: CITY-DEFAULT-MODE (more is coming)
$cfg->setConfigEntry('city_default_mode', BaseCityDaemon::CITY_TYPE_DEFAULT);

// CFG: NEWS-DOWNLOAD-FILTER
$cfg->setConfigEntry('news_download_filter', 'NewsDownloadFilter');

// CFG: NEWS-PROCESS-FILTER
$cfg->setConfigEntry('news_process_filter', 'NewsProcessFilter');

// CFG: NEWS-READER-CLASS
$cfg->setConfigEntry('news_reader_class', 'ConsoleNewsReader');

// CFG: CITY-INFO-DB-WRAPPER-CLASS
$cfg->setConfigEntry('city_info_db_wrapper_class', 'CityInformationDatabaseWrapper');

// CFG: REGION-INFO-DB-WRAPPER-CLASS
$cfg->setConfigEntry('region_info_db_wrapper_class', 'RegionInformationDatabaseWrapper');

// CFG: REGION-MAP-DB-WRAPPER-CLASS
$cfg->setConfigEntry('region_map_db_wrapper_class', 'RegionMapDatabaseWrapper');

// CFG: CITY-SECTIONS-DB-WRAPPER-CLASS
$cfg->setConfigEntry('city_sections_db_wrapper_class', 'CitySectionsDatabaseWrapper');

// CFG: CITY-LOTS-DB-WRAPPER-CLASS
$cfg->setConfigEntry('city_lots_db_wrapper_class', 'CityLotsDatabaseWrapper');

// CFG: CITY-DISTRICTS-DB-WRAPPER-CLASS
$cfg->setConfigEntry('city_districts_db_wrapper_class', 'CityDistrictsDatabaseWrapper');

// CFG: CITY-INIT-STATE-CLASS
$cfg->setConfigEntry('city_init_state_class', 'CityInitState');

// CFG: CITY-VIRGIN-STATE-CLASS
$cfg->setConfigEntry('city_virgin_state_class', 'CityVirginState');

// CFG: CITY-ACTIVE-STATE-CLASS
$cfg->setConfigEntry('city_active_state_class', 'CityActiveState');

/******************************************************************************
 *                                HTML client                                 *
 ******************************************************************************/

// CFG: DEFAULT-HTML-COMMAND
$cfg->setConfigEntry('default_html_command', 'home');

// CFG: DEFAULT-CITY-HTML-COMMAND
$cfg->setConfigEntry('default_city_html_command', 'home');

// CFG: DEFAULT-HTML-CONTROLLER
$cfg->setConfigEntry('default_html_controller', 'home');

// CFG: DEFAULT-CITY-HTML-CONTROLLER
$cfg->setConfigEntry('default_city_html_controller', 'home');

// CFG: CITY-HTML-CMD-HOME-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_home_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-REGISTER-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_register_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-LOGIN-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_login_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-LOGIN-FAILED-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_login_failed_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-LOGOUT-DONE-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_logout_done_resolver_class', 'HtmlCommandResolver');

// CFG: NEWS-READER-HOME-CLASS
$cfg->setConfigEntry('news_reader_home_class', 'DefaultNewsReader');

// CFG: NEWS-READER-REGISTER-CLASS
$cfg->setConfigEntry('news_reader_register_class', 'DefaultNewsReader');

// CFG: NEWS-READER-LOGIN-AREA-CLASS
$cfg->setConfigEntry('news_reader_login_area_class', 'DefaultNewsReader');

// CFG: NEWS-READER-LOGIN-AREA-PROFILE-CLASS
$cfg->setConfigEntry('news_reader_login_area_profile_class', 'DefaultNewsReader');

// CFG: NEWS-READER-LOGIN-AREA-STATUS-PROBLEM-CLASS
$cfg->setConfigEntry('news_reader_login_area_status_problem_class', 'DefaultNewsReader');

// CFG: NEWS-READER-LOGIN-AREA-CITY-MAP-CLASS
$cfg->setConfigEntry('news_reader_login_area_city_map_class', 'DefaultNewsReader');

// CFG: NEWS-READER-LOGIN-AREA-GOVERNMENT-CLASS
$cfg->setConfigEntry('news_reader_login_area_government_class', 'DefaultNewsReader');

// CFG: NEWS-READER-LOGIN-AREA-LOGOUT-CLASS
$cfg->setConfigEntry('news_reader_login_area_logout_class', 'DefaultNewsReader');

// CFG: NEWS-HOME-LIMIT
$cfg->setConfigEntry('news_home_limit', 10);

// CFG: NEWS-REGISTER-LIMIT
$cfg->setConfigEntry('news_register_limit', 5);

// CFG: NEWS-LOGIN-AREA-LIMIT
$cfg->setConfigEntry('news_login_area_limit', 5);

// CFG: CITY-HOME-MENU-CLASS
$cfg->setConfigEntry('city_home_menu_class', 'CityHomeMenu');

// CFG: CITY-REGISTER-MENU-CLASS
$cfg->setConfigEntry('city_register_menu_class', 'CityRegisterMenu');

// CFG: LOGIN-FAILED-MENU-CLASS
$cfg->setConfigEntry('login_failed_menu_class', 'CityLoginFailedMenu');

// CFG: STATUS-MENU-CLASS
$cfg->setConfigEntry('status_menu_class', 'CityStatusMenu');

// CFG: LOGIN-MENU-CLASS
$cfg->setConfigEntry('login_menu_class', 'CityLoginMenu');

// CFG: LOGOUT-MENU-CLASS
$cfg->setConfigEntry('logout_menu_class', 'CityLogoutMenu');

// CFG: REGISTER-MENU-CLASS
$cfg->setConfigEntry('register_menu_class', 'CityRegisterMenu');

// CFG: CONFIRM-MENU-CLASS
$cfg->setConfigEntry('confirm_menu_class', 'CityConfirmMenu');

// CFG: LOGIN-AREA-MENU-CLASS
$cfg->setConfigEntry('login_area_menu_class', 'CityLoginAreaMenu');

// CFG: GOVERNMENT-FAILED-AREA-MENU-CLASS
$cfg->setConfigEntry('government_failed_area_menu_class', 'CityGovernmentFailedAreaMenu');

// CFG: HTML-BLOCK-HELPER
$cfg->setConfigEntry('html_block_helper_class', 'HtmlBlockHelper');

// CFG: HTML-FORM-HELPER
$cfg->setConfigEntry('html_form_helper_class', 'HtmlFormHelper');

// CFG: HTML-LINK-HELPER
$cfg->setConfigEntry('html_link_helper_class', 'HtmlLinkHelper');

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', 'index.php?app={?app_short_name?}&amp;command=do_form');

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', 'post');

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', '_self');

// CFG: REGISTER-REQUIRES-EMAIL
$cfg->setConfigEntry('register_requires_email', 'Y');

// CFG: REGISTER-INCLUDES-PROFILE
$cfg->setConfigEntry('register_includes_profile', 'Y');

// CFG: REGISTER-PERSONAL-DATA
$cfg->setConfigEntry('register_personal_data', 'Y');

// CFG: REGISTER-EMAIL-UNIQUE
$cfg->setConfigEntry('register_email_unique', 'Y');

// CFG: PROFILE-INCLUDES-BIRTHDAY
$cfg->setConfigEntry('profile_includes_birthday', 'Y');

// CFG: CHAT-ENABLED-ICQ
$cfg->setConfigEntry('chat_enabled_icq', 'Y');

// CFG: CHAT-ENABLED-JABBER
$cfg->setConfigEntry('chat_enabled_jabber', 'Y');

// CFG: CHAT-ENABLED-YAHOO
$cfg->setConfigEntry('chat_enabled_yahoo', 'Y');

// CFG: CHAT-ENABLED-AOL
$cfg->setConfigEntry('chat_enabled_aol', 'Y');

// CFG: CHAT-ENABLED-MSN
$cfg->setConfigEntry('chat_enabled_msn', 'Y');

// CFG: CITY-REGISTER-CAPTCHA-SECURED
$cfg->setConfigEntry('city_register_captcha_secured', 'N');

// CFG: CITY-USER-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('city_user_login_captcha_secured', 'N');

// CFG: CITY-GUEST-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('city_guest_login_captcha_secured', 'N');

// CFG: CITY-PROFILE-CAPTCHA-SECURED
$cfg->setConfigEntry('city_profile_captcha_secured', 'N');

// CFG: CITY-REFILL-CAPTCHA-SECURED
$cfg->setConfigEntry('city_refill_captcha_secured', 'N');

// CFG: CITY-GOVERNMENT-STARTUP-CAPTCHA-SECURED
$cfg->setConfigEntry('city_government_startup_captcha_secured', 'N');

// CFG: CITY-GOVERNMENT-TRAINING-CAPTCHA-SECURED
$cfg->setConfigEntry('city_government_training_captcha_secured', 'N');

// CFG: CITY-REGISTER-CAPTCHA-CLASS
$cfg->setConfigEntry('city_register_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-USER-LOGIN-CAPTCHA-CLASS
$cfg->setConfigEntry('city_user_login_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-GUEST-LOGIN-CAPTCHA-CLASS
$cfg->setConfigEntry('city_guest_login_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-PROFILE-CAPTCHA-CLASS
$cfg->setConfigEntry('city_profile_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-REFILL-CAPTCHA-CLASS
$cfg->setConfigEntry('city_refill_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-GOVERNMENT-STARTUP-CAPTCHA-CLASS
$cfg->setConfigEntry('city_government_startup_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-GOVERNMENT-TRAINING-CAPTCHA-CLASS
$cfg->setConfigEntry('city_government_training_captcha_class', 'GraphicalCodeCaptcha');

// CFG: CITY-MAP-CAPTCHA-SECURED
$cfg->setConfigEntry('city_map_captcha_secured', 'N');

// CFG: CAPTCHA-STRING-LENGTH
$cfg->setConfigEntry('captcha_string_length', 5);

// CFG: CAPTCHA-SEARCH-CHARS
$cfg->setConfigEntry('captcha_search_chars', '+/=');

// CFG: RANDOM-STRING-LENGTH
$cfg->setConfigEntry('random_string_length', 100);

// CFG: IMAGE-TEMPLATE-CLASS
$cfg->setConfigEntry('image_template_class', 'ImageTemplateEngine');

// CFG: MAIL-TEMPLATE-CLASS
$cfg->setConfigEntry('mail_template_class', 'MailTemplateEngine');

// CFG EMAIl-TPL-RESEND-LINK
$cfg->setConfigEntry('email_tpl_resend_link', 'text');

// CFG: ADMIN-EMAIL
$cfg->setConfigEntry('admin_email', 'you@some-hoster.invalid');

// CFG: CAPTCHA-ENCRYPT-VALIDATOR-FILTER
$cfg->setConfigEntry('captcha_encrypt_validator_filter', 'CaptchaEncryptFilter');

// CFG: USER-STATUS-CONFIRMED-FILTER
$cfg->setConfigEntry('user_status_confirmed_filter', 'UserStatusConfimedUpdateFilter');

// CFG: CAPTCHA-GUEST-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_guest_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-USER-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_user_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-REGISTER-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_register_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-REFILL-VERFIER-FILTER
$cfg->setConfigEntry('captcha_refill_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-GOVERNMENT-VERFIER-FILTER
$cfg->setConfigEntry('captcha_government_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-PROFILE-VERFIER-FILTER
$cfg->setConfigEntry('captcha_profile_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CONFIRM-CODE-VERIFIER-FILTER
$cfg->setConfigEntry('confirm_code_verifier_filter', 'ConfirmCodeVerifierFilter');

// CFG: BIRTHDAY-REGISTER-VERIFIER-FILTER
$cfg->setConfigEntry('birthday_register_verifier_filter', 'BirthdayVerifierFilter');

// CFG: BIRTHDAY-PROFILE-VERIFIER-FILTER
$cfg->setConfigEntry('birthday_profile_verifier_filter', 'BirthdayVerifierFilter');

// CFG: CITY-NAME-VERIFIER-FILTER
$cfg->setConfigEntry('city_name_verifier_filter', 'CityNameVerifierFilter');

// CFG: USER-STATUS-FILTER
$cfg->setConfigEntry('user_status_filter', 'UserStatusVerifierFilter');

// CFG: CITY-HTML-CMD-DO-FORM-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_do_form_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-LOGIN-AREA-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_login_area_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-CONFIRM-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_confirm_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-PROBLEM-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_problem_resolver_class', 'CityHtmlCommandResolver');

// CFG: CITY-HTML-CMD-LOGOUT-RESOLVER-CLASS
$cfg->setConfigEntry('city_html_cmd_logout_resolver_class', 'CityHtmlCommandResolver');

// CFG: EMAIL-CHANGE-ALLOWED
$cfg->setConfigEntry('email_change_allowed', 'Y');

// CFG: EMAIL-CHANGE-CONFIRMATION
$cfg->setConfigEntry('email_change_confirmation', 'Y');

// CFG: GUEST-LOGIN-ALLOWED
$cfg->setConfigEntry('guest_login_allowed', 'Y');

// CFG: GUEST-LOGIN-USERNAME
$cfg->setConfigEntry('guest_login_user', 'guest');

// CFG: GUEST-LOGIN-PASS
$cfg->setConfigEntry('guest_login_passwd', 'guest');

// CFG: USER-REGISTRATION
$cfg->setConfigEntry('user_registration_class', 'CityRegistration');

// CFG: USER-LOGIN-CLASS
$cfg->setConfigEntry('user_login_class', 'CityUserLogin');

// CFG: GUEST-LOGIN-CLASS
$cfg->setConfigEntry('guest_login_class', 'CityGuestLogin');

// CFG: CONFIRM-EMAIL-ENABLED
$cfg->setConfigEntry('confirm_email_enabled', 'Y');

// CFG: USER-STATUS-REGISTER
$cfg->setConfigEntry('user_status_unconfirmed', 'UNCONFIRMED');

// CFG: USER-STATUS-GUEST
$cfg->setConfigEntry('user_status_guest', 'GUEST');

// CFG: USER-STATUS-CONFIRMED
$cfg->setConfigEntry('user_status_confirmed', 'CONFIRMED');

// CFG: USER-STATUS-LOCKED
$cfg->setConfigEntry('user_status_locked', 'LOCKED');

// CFG: LOGIN-HELPER-CLASS
$cfg->setConfigEntry('login_helper_class', 'CityLoginHelper');

// CFG: AUTH-METHOD-CLASS
$cfg->setConfigEntry('auth_method_class', 'CookieAuth');

// CFG: APP-LOGIN-URL
$cfg->setConfigEntry('app_login_url', 'index.php?app={?app_short_name?}&amp;command=login_area');

// CFG: LOGIN-FAILED-URL
$cfg->setConfigEntry('login_failed_url', 'index.php?app={?app_short_name?}&amp;command=login_failed');

// CFG: LOGIN-FAILED-LOGIN-RETRY-ACTION-URL
$cfg->setConfigEntry('login_failed_login_retry_action_url', 'index.php?app={?app_short_name?}&amp;command=login&amp;note=login_failed');

// CFG: LOGIN-AREA-LOGOUT-ACTION-URL
$cfg->setConfigEntry('login_area_logout_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area');

// CFG: GOVERNMENT-FAILED-LOGOUT-ACTION-URL
$cfg->setConfigEntry('government_failed_logout_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area');

// CFG: LOGIN-AREA-PROFILE-ACTION-URL
$cfg->setConfigEntry('login_area_profile_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;status=profile');

// CFG: GOVERNMENT-FAILED-PROFILE-ACTION-URL
$cfg->setConfigEntry('government_failed_profile_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;status=profile');

// CFG: LOGIN-AREA-LOGOUT-NOW-ACTION-URL
$cfg->setConfigEntry('login_area_logout_now_action_url', 'index.php?app={?app_short_name?}&amp;command=logout');

// CFG: LOGIN-AREA-RETURN-LOGIN-ACTION-URL
$cfg->setConfigEntry('login_area_return_login_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area');

// CFG: LOGIN-AREA-SHIPSIMU-PROFILE-ACTION-URL
$cfg->setConfigEntry('login_area_shipsimu_profile_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=profile');

// CFG: LOGOUT_DONE-RELOGIN-ACTION-URL
$cfg->setConfigEntry('logout_done_relogin_action_url', 'index.php?app={?app_short_name?}&amp;command=login');

// CFG: LOGIN-REGISTER-ACTION-URL
$cfg->setConfigEntry('login_register_action_url', 'index.php?app={?app_short_name?}&amp;command=register');

// CFG: CONFIRM-DIRECT-LOGIN-ACTION-URL
$cfg->setConfigEntry('confirm_direct_login_action_url', 'index.php?app={?app_short_name?}&amp;command=login_area');

// CFG: LOGOUT-DONE-URL
$cfg->setConfigEntry('logout_done_url', 'index.php?app={?app_short_name?}&amp;command=logout_done');

// CFG: ACTION-STATUS-PROBLEM
$cfg->setConfigEntry('action_status_problem', 'status_problem');

// CFG: LOGIN-USER-STATUS-URL
$cfg->setConfigEntry('login_user_status_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=status_problem&amp;status=status_problem&amp;status=general');

// CFG: LOGIN-USER-STATUS-GUEST-URL
$cfg->setConfigEntry('login_user_status_guest_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=status_problem&amp;status=status_problem&amp;status=guest');

// CFG: USER-NOT-UNCONFIRMED-URL
$cfg->setConfigEntry('user_not_unconfirmed_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=status_problem&amp;status=unconfirmed_problem');

// CFG: USER-UNCONFIRMED-EMAIL-MISSING-URL
$cfg->setConfigEntry('user_unconfirmed_email_missing_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=status_problem&amp;status=unconfirmed_email_missing');

// CFG: CONFIRM-CODE-INVALID-URL
$cfg->setConfigEntry('confirm_code_invalid_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=status_problem&amp;status=confirm_code_invalid');

// CFG: USER-NOT-FOUND-URL
$cfg->setConfigEntry('user_not_found_url', 'index.php?app={?app_short_name?}&amp;command=login_area&amp;action=status_problem&amp;status=user_not_found');

// CFG: USER-AUTH-FILTER
$cfg->setConfigEntry('user_auth_filter', 'UserAuthFilter');

// CFG: USER-UPDATE-FILTER
$cfg->setConfigEntry('user_update_filter', 'UserUpdateFilter');

// CFG: LOGIN-DEFAULT-ACTION
$cfg->setConfigEntry('login_default_action', 'welcome');

// CFG: MONEYBANK-ACTIVATED
$cfg->setConfigEntry('moneybank_activated', 'Y');

// CFG: MONEYBANK-OPENING-CLASS
$cfg->setConfigEntry('moneybank_opening_class', 'MoneyBankRealtimeOpening');

// CFG: USER-POINTS-CLASS
$cfg->setConfigEntry('user_points_class', 'UserPoints');

// CFG: BLOCK-SHOWS-REGISTRATION
$cfg->setConfigEntry('block_shows_registration', 'Y');

// CFG: GOVERNMENT-CLASS
$cfg->setConfigEntry('government_class', 'SimplifiedGovernment');

// CFG: BANK-CLASS
$cfg->setConfigEntry('bank_class', 'MoneyBank');

// CFG: USER-POINTS-DB-WRAPPER-CLASS
$cfg->setConfigEntry('user_points_db_wrapper_class', 'UserPointsDatabaseWrapper');

// CFG: USER-GOVERNMENT-WRAPPER-CLASS
$cfg->setConfigEntry('user_government_wrapper_class', 'UserGovernmentDatabaseWrapper');

// CFG: PAYMENT-DB-WRAPPER-CLASS
$cfg->setConfigEntry('payment_db_wrapper_class', 'PaymentsDatabaseWrapper');

// CFG: LOGIN-ENABLED
$cfg->setConfigEntry('login_enabled', 'Y');

// CFG: LOGIN-TYPE (username, email, both)
$cfg->setConfigEntry('login_type', 'username');

// CFG: CITY-MANAGER-CLASS
$cfg->setConfigEntry('city_manager_class', 'CityManager');

// CFG: CITY-SECTIONS-MANAGER-CLASS
$cfg->setConfigEntry('city_sections_manager_class', 'CitySectionsManager');

// CFG: CITY-LOTS-MANAGER-CLASS
$cfg->setConfigEntry('city_lots_manager_class', 'CityLotsManager');

// CFG: CITY-DISTRICTS-MANAGER-CLASS
$cfg->setConfigEntry('city_districts_manager_class', 'CityDistrictsManager');

// CFG: REGION-MANAGER-CLASS
$cfg->setConfigEntry('region_manager_class', 'RegionManager');

// CFG: REGION-MAP-MANAGER-CLASS
$cfg->setConfigEntry('region_map_manager_class', 'RegionMapManager');

/******************************************************************************
 *                                  Daemon                                    *
 ******************************************************************************/

// CFG: DEFAULT-CONSOLE-COMMAND
$cfg->setConfigEntry('default_console_command', 'daemon');

// CFG: DEFAULT-CITY-CONSOLE-COMMAND
$cfg->setConfigEntry('default_city_console_command', 'daemon');

// CFG: DEFAULT-CITY-CONSOLE-CONTROLLER
$cfg->setConfigEntry('default_city_console_controller', 'daemon');

// CFG: CITY-CONSOLE-CMD-DAEMON-RESOLVER-CLASS
$cfg->setConfigEntry('city_console_cmd_daemon_resolver_class', 'CityConsoleCommandResolver');

// CFG: CITY-DAEMON-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('city_daemon_php_requirements_filter', 'CityDaemonPhpRequirementsFilter');

// CFG: CITY-DAEMON-INITIALIZER-FILTER
$cfg->setConfigEntry('city_daemon_initializer_filter', 'CityDaemonInitializationFilter');

// CFG: CITY-DAEMON-ACTIVATION-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('city_daemon_activation_task_handler_initializer_filter', 'CityDaemonTaskHandlerInitializerFilter');

// CFG: CITY-DAEMON-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('city_daemon_welcome_teaser_filter', 'CityDaemonWelcomeTeaserFilter');

// CFG: CITY-DAEMON-BOOTSTRAP-INIT-DAEMON-FILTER
$cfg->setConfigEntry('city_daemon_bootstrap_init_daemon_filter', 'CityDaemonBootstrapInitDaemonFilter');

// CFG: CITY-DAEMON-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('city_daemon_bootstrap_extra_bootstrapping_filter', 'CityDaemonBootstrapExtraBootstrappingFilter');

// CFG: CITY-DAEMON-SHUTDOWN-TASK-HANDLER-FILTER
$cfg->setConfigEntry('city_daemon_shutdown_task_handler_filter', 'CityDaemonShutdownTaskHandlerFilter');

// CFG: CITY-DAEMON-SHUTDOWN-CITY-FILTER
$cfg->setConfigEntry('city_daemon_shutdown_city_filter', 'CityDaemonShutdownCityFilter');

// CFG: NEWS-READER-DAEMON-CLASS
$cfg->setConfigEntry('news_reader_daemon_class', 'ConsoleNewsReader');

// CFG: NEWS-DAEMON-LIMIT
$cfg->setConfigEntry('news_daemon_limit', 5);

// CFG: CITY-DAEMON-MAP-EXPANDER-TASK-CLASS
$cfg->setConfigEntry('city_daemon_map_expander_task_class', 'CityDaemonMapExpanderTask');

// CFG: TASK-MAP-EXPANDER-STARTUP-DELAY
$cfg->setConfigEntry('task_map_expander_startup_delay', 500);

// CFG: TASK-MAP-EXPANDER-INTERVAL-DELAY
$cfg->setConfigEntry('task_map_expander_interval_delay', 100);

// CFG: TASK-MAP-EXPANDER-MAX-RUNS
$cfg->setConfigEntry('task_map_expander_max_runs', 0);

// CFG: CITY-DAEMON-HOUSEHOLD-GROWTH-TASK-CLASS
$cfg->setConfigEntry('city_daemon_household_growth_task_class', 'CityDaemonHouseholdGrowthTask');

// CFG: TASK-HOUSEHOLD-GROWTH-STARTUP-DELAY
$cfg->setConfigEntry('task_household_growth_startup_delay', 1000);

// CFG: TASK-HOUSEHOLD-GROWTH-INTERVAL-DELAY
$cfg->setConfigEntry('task_household_growth_interval_delay', 200);

// CFG: TASK-HOUSEHOLD-GROWTH-MAX-RUNS
$cfg->setConfigEntry('task_household_growth_max_runs', 0);

// CFG: CITY-DAEMON-BUILDING-GROWTH-TASK-CLASS
$cfg->setConfigEntry('city_daemon_building_growth_task_class', 'CityDaemonBuildingGrowthTask');

// CFG: TASK-BUILDING-GROWTH-STARTUP-DELAY
$cfg->setConfigEntry('task_building_growth_startup_delay', 1000);

// CFG: TASK-BUILDING-GROWTH-INTERVAL-DELAY
$cfg->setConfigEntry('task_building_growth_interval_delay', 200);

// CFG: TASK-BUILDING-GROWTH-MAX-RUNS
$cfg->setConfigEntry('task_building_growth_max_runs', 0);

// CFG: CITY-MAX-INITIAL-XY-EXPANSION-RADIUS
$cfg->setConfigEntry('city_max_initial_xy_expansion_radius', 40);

// CFG: CITY-MAX-INITIAL-UP-EXPANSION
$cfg->setConfigEntry('city_max_initial_up_expansion', 5);

// CFG: CITY-MAX-INITIAL-DOWN-EXPANSION
$cfg->setConfigEntry('city_max_initial_down_expansion', 3);

// [EOF]
?>
